Random123-1.09: Random123/philox.h File Reference

- Random123-1.09 Documentation

Classes | Namespaces | Defines | Typedefs | Enumerations | Functions

# Random123/philox.h File Reference

`#include "features/compilerfeatures.h"`
`#include "array.h"`
`#include <stdexcept>`

Go to the source code of this file.

## Classes
class | r123::Philox2x32_R< ROUNDS >
class | r123::Philox4x32_R< ROUNDS >
class | r123::Philox2x64_R< ROUNDS >
class | r123::Philox4x64_R< ROUNDS >
## Namespaces
namespace | r123
## Defines
#define | philox2x32(c, k) philox2x32_R(philox2x32_rounds, c, k)
#define | philox4x32(c, k) philox4x32_R(philox4x32_rounds, c, k)
#define | philox2x64(c, k) philox2x64_R(philox2x64_rounds, c, k)
#define | philox4x64(c, k) philox4x64_R(philox4x64_rounds, c, k)
## Typedefs
typedef struct r123array2x32 | philox2x32_ctr_t
typedef struct r123array1x32 | philox2x32_key_t
typedef struct r123array1x32 | philox2x32_ukey_t
typedef struct r123array4x32 | philox4x32_ctr_t
typedef struct r123array2x32 | philox4x32_key_t
typedef struct r123array2x32 | philox4x32_ukey_t
typedef struct r123array2x64 | philox2x64_ctr_t
typedef struct r123array1x64 | philox2x64_key_t
typedef struct r123array1x64 | philox2x64_ukey_t
typedef struct r123array4x64 | philox4x64_ctr_t
typedef struct r123array2x64 | philox4x64_key_t
typedef struct r123array2x64 | philox4x64_ukey_t
typedef Philox2x32_R < philox2x32_rounds > | r123::Philox2x32
typedef Philox4x32_R < philox4x32_rounds > | r123::Philox4x32
typedef Philox2x64_R < philox2x64_rounds > | r123::Philox2x64
typedef Philox4x64_R < philox4x64_rounds > | r123::Philox4x64
## Enumerations
enum | r123_enum_philox2x32 { philox2x32_rounds = 10 }
enum | r123_enum_philox4x32 { philox4x32_rounds = 10 }
enum | r123_enum_philox2x64 { philox2x64_rounds = 10 }
enum | r123_enum_philox4x64 { philox4x64_rounds = 10 }
## Functions
static philox2x32_key_t | philox2x32keyinit (philox2x32_ukey_t uk)
static philox2x32_ctr_t | philox2x32_R (unsigned int R, philox2x32_ctr_t ctr, philox2x32_key_t key)
static philox4x32_key_t | philox4x32keyinit (philox4x32_ukey_t uk)
static philox4x32_ctr_t | philox4x32_R (unsigned int R, philox4x32_ctr_t ctr, philox4x32_key_t key)
static philox2x64_key_t | philox2x64keyinit (philox2x64_ukey_t uk)
static philox2x64_ctr_t | philox2x64_R (unsigned int R, philox2x64_ctr_t ctr, philox2x64_key_t key)
static philox4x64_key_t | philox4x64keyinit (philox4x64_ukey_t uk)
static philox4x64_ctr_t | philox4x64_R (unsigned int R, philox4x64_ctr_t ctr, philox4x64_key_t key)

## Define Documentation

#define philox2x32 | ( |  | c,
|  |  | k |
| ) |  |  | philox2x32_R(philox2x32_rounds, c, k)

#define philox2x64 | ( |  | c,
|  |  | k |
| ) |  |  | philox2x64_R(philox2x64_rounds, c, k)

#define philox4x32 | ( |  | c,
|  |  | k |
| ) |  |  | philox4x32_R(philox4x32_rounds, c, k)

#define philox4x64 | ( |  | c,
|  |  | k |
| ) |  |  | philox4x64_R(philox4x64_rounds, c, k)

## Typedef Documentation

typedef struct r123array2x32 philox2x32_ctr_t

typedef struct r123array1x32 philox2x32_key_t

typedef struct r123array1x32 philox2x32_ukey_t

typedef struct r123array2x64 philox2x64_ctr_t

typedef struct r123array1x64 philox2x64_key_t

typedef struct r123array1x64 philox2x64_ukey_t

typedef struct r123array4x32 philox4x32_ctr_t

typedef struct r123array2x32 philox4x32_key_t

typedef struct r123array2x32 philox4x32_ukey_t

typedef struct r123array4x64 philox4x64_ctr_t

typedef struct r123array2x64 philox4x64_key_t

typedef struct r123array2x64 philox4x64_ukey_t

## Function Documentation

static philox2x32_ctr_t philox2x32_R | ( | unsigned int | R,
|  | philox2x32_ctr_t | ctr,
|  | philox2x32_key_t | key |
| ) |  |  | `[inline, static]`

static philox2x32_key_t philox2x32keyinit | ( | philox2x32_ukey_t | uk | ) | `[inline, static]`

static philox2x64_ctr_t philox2x64_R | ( | unsigned int | R,
|  | philox2x64_ctr_t | ctr,
|  | philox2x64_key_t | key |
| ) |  |  | `[inline, static]`

static philox2x64_key_t philox2x64keyinit | ( | philox2x64_ukey_t | uk | ) | `[inline, static]`

static philox4x32_ctr_t philox4x32_R | ( | unsigned int | R,
|  | philox4x32_ctr_t | ctr,
|  | philox4x32_key_t | key |
| ) |  |  | `[inline, static]`

static philox4x32_key_t philox4x32keyinit | ( | philox4x32_ukey_t | uk | ) | `[inline, static]`

static philox4x64_ctr_t philox4x64_R | ( | unsigned int | R,
|  | philox4x64_ctr_t | ctr,
|  | philox4x64_key_t | key |
| ) |  |  | `[inline, static]`

static philox4x64_key_t philox4x64keyinit | ( | philox4x64_ukey_t | uk | ) | `[inline, static]`

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines